    <footer class="footer-sec">
         <div class="auto-container">
            <div class="row footer-link-wrapper">
               <div class="col-xl-3 col-lg-12 col-md-12">
                  <div class="about-business-wrapper">
                     <div class="footer-logo">
                        <a href="<?php echo home_url();?>"><img src="<?php bloginfo('template_directory');?>/assets/img/logo.jpg" class="img-fluid" alt="footer-logo"></a>
                     </div>
                     <?php
                       $page_query = new WP_Query( 'pagename=privacy-policy' );
                       while ( $page_query->have_posts() ) : $page_query->the_post();?>
                     <p><strong><?php echo get_the_title();?>:</strong> <?php echo wp_trim_words( get_the_content($page_query->post->ID), 42, '...' ); ?><a href="<?php echo home_url('privacy-policy');?>">Read More</a></p>
                      <?php endwhile; wp_reset_postdata();?>
                  </div>
               </div>
               <div class="col-xl-9 col-lg-12 col-md-12">
                  <div class="row">
                     <div class="col-xl-4 col-lg-4 col-md-4 col-6">
                        <div class="quick-links-wrapper courses-link">
                           <h4>Courses</h4>
                           <ul class="footer-nav">
                              <?php
                                 $args = array( 'post_type' => 'courses', 'posts_per_page' =>-1, 'order' => 'ASC'  );
                                 $loop = new WP_query($args);
                                 if($loop->have_posts()) {
                                 while($loop->have_posts()) {
                                 $loop->the_post();
                                 ?>
                              <li><a href="<?php echo home_url('course-modules');?>"><?php echo get_the_title();?></a></li>
                             <?php } wp_reset_postdata();  } ?> 
                           </ul>
                        </div>
                     </div>
                     <div class="col-xl-4 col-lg-4 col-md-4 col-6">
                        <div class="quick-links-wrapper">
                           <h4>Quick Links</h4>
                           <?php wp_nav_menu(array('theme_location' => 'secondary-menu','container' => false, 'menu_class' => 'footer-nav')); ?>
                           </div>
                     </div>
                     <div class="col-xl-4 col-lg-4 col-md-4 col-12 footer-cont-info">
                        <div class="official-add-wrapper">
                           <h4>Contact Us</h4>
                           <div class="footer-address">
                              <p><i class="fa fa-map" aria-hidden="true"></i> <?php echo html_entity_decode(esc_attr( get_option('aaskaddress') )); ?>
                              </p>
                              <p><i class="fa fa-phone"></i> <a href="tel:<?php echo esc_attr( get_option('aaskphone') ); ?>"><?php echo esc_attr( get_option('aaskphone') ); ?></a></p>
                              <p><i class="fa fa-phone"></i> <a href="tel:<?php echo esc_attr( get_option('aaskanotherp') ); ?>"><?php echo esc_attr( get_option('aaskanotherp') ); ?></a></p>
                              <p><i class="fa fa-envelope-open" aria-hidden="true"></i> <a href="mailto:<?php echo esc_attr( get_option('aaskemail') ); ?>"><?php echo esc_attr( get_option('aaskemail') ); ?></a></p>
                           </div>
                           <div class="social-sec">
                              <a href="<?php echo esc_attr( get_option('aaskfacebook') ); ?>"  target="_blank"><i class="fa fa-facebook-f"></i></a>
                              <a href="<?php echo esc_attr( get_option('aasktwitter') ); ?>"  target="_blank"><i class="fa fa-twitter"></i></a>
                              <a href="<?php echo esc_attr( get_option('aasklinkedin') ); ?>"  target="_blank"><i class="fa fa-linkedin"></i></a>
                              <a href="<?php echo esc_attr( get_option('aaskinsta') ); ?>"  target="_blank"><i class="fa fa-instagram"></i></a>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </footer>
      <footer class="footer-bottom">
         <div class="auto-container">
            <div class="row">
               <div class="copyright-wrapper">
                  <p>©2022 Swabalambee Foundation | All Rights Reserved</p>
                  <p>Designed by  <a href="https://ajatus.in" class="author-link" target="_blank"> Ajatus Software</a></p>
               </div>
            </div>
         </div>
      </footer>
      <a href="#" class="back-to-top"><i class="fa fa-caret-up"></i></a>
      <script src="<?php bloginfo('template_directory');?>/assets/js/jquery.min.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/jquery-ui.min.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/popper.min.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/bootstrap.min.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/owl.carousel.min.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/aos.js"></script>
       <script src="<?php bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.js"></script>
      <script src="<?php bloginfo('template_directory');?>/assets/js/main.js"></script>
 <script src="<?php bloginfo('template_directory'); ?>/inc/jquery-ui.js"></script>   
   <script src="https://checkout.razorpay.com/v1/checkout.js"></script>
<script type="text/javascript">
    $(function() {
        $('#customer_dob').datepicker( {
	    changeDay: true,           
            changeMonth: true,
            changeYear: true,
            showButtonPanel: false,
            dateFormat: 'dd MM yy',  
            yearRange: "-45:+0",
            onClose: function(dateText, inst) { 
                var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
                var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
                var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
                $(this).datepicker('setDate', new Date(year, month, day));
            }
        });
    });
</script>
       
<script>
var siteMagnificPopup = function() {
$('.image-popup').magnificPopup({
  type: 'image',
  closeOnContentClick: true,
  closeBtnInside: false,
  fixedContentPos: true,
  mainClass: 'mfp-no-margins mfp-with-zoom', 
gallery: {
enabled: true,
navigateByImgClick: true,
preload: [0,1] 
  },
  image: {
verticalFit: true
  },
  zoom: {
enabled: true,
duration: 300 
  }
});
};
siteMagnificPopup();
</script>
<?php wp_footer();?>
   </body>
</html>
