<?php 

add_theme_support('post-thumbnails');
require get_template_directory().'/inc/post-type.php';
require get_template_directory().'/inc/theme-settings.php';
require get_template_directory().'/inc/video-metabox.php';
require get_template_directory().'/gallery.php';
require get_template_directory().'/inc/metabox.php';
require get_template_directory().'/inc/themesetup.php';
require get_template_directory().'/inc/media-metabox.php';

function remove_core_updates(){
    global $wp_version;return(object) array('last_checked'=> time(),'version_checked'=> $wp_version,);
    }
    add_filter('pre_site_transient_update_core','remove_core_updates');
    add_filter('pre_site_transient_update_plugins','remove_core_updates');
    add_filter('pre_site_transient_update_themes','remove_core_updates');

add_action( 'admin_init', 'hide_editor' );
function hide_editor() {
  $post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
  if( !isset( $post_id ) ) return;
   $template_file = get_post_meta($post_id, '_wp_page_template', true);
      if($template_file == 'template/unparalleled.php'){
           remove_post_type_support('page', 'editor'); }
      if($template_file == 'template/atmanirbhar.php'){
    remove_post_type_support('page', 'editor');
   }
    if($template_file == 'template/situation.php'){
    remove_post_type_support('page', 'editor');
   }
     if($template_file == 'template/solution.php'){
    remove_post_type_support('page', 'editor');
   }
}

add_action('admin_menu','rmvpages');
function rmvpages()
{
remove_menu_page('tools.php');
remove_menu_page('plugins.php');
remove_menu_page( 'edit.php' );
remove_menu_page('edit-comments.php');
//remove_menu_page('themes.php');
//remove_menu_page('edit.php?post_type=page');
remove_menu_page('upload.php');
//remove_menu_page('options-general.php');
//remove_menu_page('wpcf7');
}


add_action('admin_enqueue_scripts', 'my_admin_scripts');

function my_admin_scripts() {
    
        wp_enqueue_media();
        wp_register_script('my-admin-js', get_stylesheet_directory_uri().'/inc/media-upload.js', array('jquery'));
        wp_enqueue_script('my-admin-js');
   
}

