<?php
add_action( 'add_meta_boxes', 'dj_metabox' );

function dj_metabox()
{	
	add_meta_box('transformation-id','Transformation Details','transformation_callback','transformation','normal','high');
    add_meta_box('team-id','Team Details','team_callback','team','normal','high');
     add_meta_box('courses-id','Course Details','courses_callback','courses','normal','high');
      add_meta_box('report-id','Report Details','report_callback','report','normal','high');
	global $post;
    if ( 'template/unparalleled.php' == get_post_meta( $post->ID, '_wp_page_template', true ) ) {
        add_meta_box( 'unparalleled_temp', 'Unparalleled Information', 'unparalleled_callback', 'page', 'normal', 'high'); 
    }
     if ( 'template/atmanirbhar.php' == get_post_meta( $post->ID, '_wp_page_template', true ) ) {
        add_meta_box( 'atmanirbhar-temp', 'Atmanirbhar Information', 'atmanirbhar_callback', 'page', 'normal', 'high'); 
    }
      if ( 'template/solution.php' == get_post_meta( $post->ID, '_wp_page_template', true ) ) {
        add_meta_box( 'solution-temp', 'Solution Information', 'solution_callback', 'page', 'normal', 'high'); 
    }
     if ( 'template/situation.php' == get_post_meta( $post->ID, '_wp_page_template', true ) ) {
        add_meta_box( 'situation-temp', 'Situation Information', 'situation_callback', 'page', 'normal', 'high'); 
    }

}
function report_callback($post)
{
	$values = get_post_custom( $post->ID );
	$compfileone = isset( $values['compfile_one'] ) ? esc_attr( $values['compfile_one'][0] ) : '';
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p><label style="font-size:15px; font-weight:600; line-height: 30px;">Upload Report(PDF Only)</label></p>
	<p style="border: 1px solid #999;padding: 10px;text-align: center;">
		
		<input type="text" name="compfile_one" id="compfile_one" value="<?php echo $compfileone; ?>" style="width: 84%;" readonly />
        
        <input type="button" id="frontend-button" class="button button-primary button-large" value="Upload Report"><span id="showa" style="color: #2fbb16; text-transform: uppercase;padding: 9px 12px;margin-left: 10px; display: block;"></span>
	</p>

	<?php
} 

function courses_callback($post)
{
	$values = get_post_custom( $post->ID );
	$nsubject = isset( $values['num_subject'] ) ? esc_attr( $values['num_subject'][0] ) : '';
	$tsession = isset( $values['thry_session'] ) ? esc_attr( $values['thry_session'][0] ) : '';
	$gwork = isset( $values['grp_work'] ) ? esc_attr( $values['grp_work'][0] ) : '';
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p>
		<label style="font-size: 15px; line-height: 28px;">No of Subject</label>
	<input type="number" name="num_subject" id="num_subject" value="<?php echo $nsubject; ?>" style="width:100%" /></p>
	<p>
		<label style="font-size: 15px; line-height: 28px;">Theory Session</label>
	<input type="number" name="thry_session" id="thry_session" value="<?php echo $tsession; ?>" style="width:100%" /></p>
	<p>
		<label style="font-size: 15px; line-height: 28px;">Theory Session</label>
	<input type="number" name="grp_work" id="grp_work" value="<?php echo $gwork; ?>" style="width:100%" /></p>
	<?php
} 

function transformation_callback($post)
{
	$values = get_post_custom( $post->ID );
	$tformrightcontent = get_post_meta( $post->ID, 'tform_rightcontent', false );
	$tformfullcontent = get_post_meta( $post->ID, 'tform_fullcontent', false );
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Description</label>
		<?php wp_editor( html_entity_decode($tformrightcontent[0]), 'tform_rightcontent');?>
	</p>
	<!-- <p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Full Width Description</label>
		<?php //wp_editor( html_entity_decode($tformfullcontent[0]), 'tform_fullcontent');?>
	</p> -->
	
	<style>
	
#tform_rightcontent_ifr {
    height: 250px !important;
}
#tform_fullcontent_ifr{
    height: 250px !important;
}

</style>
	<?php
}

function team_callback($post)
{
	$values = get_post_custom( $post->ID );
	$teamdesg = isset( $values['team_desg'] ) ? esc_attr( $values['team_desg'][0] ) : '';
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p>
		<label style="font-size: 15px; line-height: 28px;">Designation</label>
	<input type="text" name="team_desg" id="team_desg" value="<?php echo $teamdesg; ?>" style="width:100%" /></p>
	
	<?php
} 

function unparalleled_callback($post)
{
	$values = get_post_custom( $post->ID );
	$holistic = get_post_meta( $post->ID, 'holistic_content', false );
	$handholding = get_post_meta( $post->ID, 'handholding_content', false );
	$intense = get_post_meta( $post->ID, 'intense_content', false );
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Holistic Approach</label>
		<?php wp_editor(htmlspecialchars_decode($holistic[0]), 'holistic_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Handholding Support</label>
			<?php wp_editor(html_entity_decode($handholding[0]), 'handholding_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Intense Tracking</label>
			<?php wp_editor(html_entity_decode($intense[0]), 'intense_content');?>
	</p>
	<style>
#holistic_content_ifr {
    height: 200px !important;
}
#handholding_content_ifr{
    height: 200px !important;
}
#intense_content_ifr{
    height: 200px !important;
}
textarea#holistic_content {
    height: 200px;
}
textarea#handholding_content {
    height: 200px;
}
textarea#intense_content {
    height: 200px;
}
</style>
	<?php
} 

function atmanirbhar_callback($post)
{
	$values = get_post_custom( $post->ID );
	$purpose = get_post_meta( $post->ID, 'purpose_content', false );
	$yojana = get_post_meta( $post->ID, 'yojana_content', false );
	$support = get_post_meta( $post->ID, 'support_content', false );
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Purpose & Principles</label>
		<?php wp_editor(htmlspecialchars_decode($purpose[0]), 'purpose_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Atmanirbhar Bharat Yojana</label>
			<?php wp_editor(html_entity_decode($yojana[0]), 'yojana_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Support Systems & Linkages</label>
			<?php wp_editor(html_entity_decode($support[0]), 'support_content');?>
	</p>
	<style>
#support_content_ifr {
    height: 200px !important;
}
#yojana_content_ifr{
    height: 200px !important;
}
#purpose_content_ifr{
    height: 200px !important;
}
textarea#purpose_content {
    height: 200px;
}
textarea#yojana_content {
    height: 200px;
}
textarea#support_content {
    height: 200px;
}
</style>
	<?php
} 

function situation_callback($post)
{
	$values = get_post_custom( $post->ID );
	$economic = get_post_meta( $post->ID, 'economic_content', false );
	$skill = get_post_meta( $post->ID, 'skill_content', false );
	$opportunities = get_post_meta( $post->ID, 'opportunities_content', false );
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Odisha Economic Review</label>
		<?php wp_editor(htmlspecialchars_decode($economic[0]), 'economic_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Skill & Entrepreneurship Gap</label>
			<?php wp_editor(html_entity_decode($skill[0]), 'skill_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Opportunities</label>
			<?php wp_editor(html_entity_decode($opportunities[0]), 'opportunities_content');?>
	</p>
	<style>
#economic_content_ifr {
    height: 200px !important;
}
#skill_content_ifr{
    height: 200px !important;
}
#opportunities_content_ifr{
    height: 200px !important;
}
textarea#economic_content {
    height: 200px;
}
textarea#skill_content {
    height: 200px;
}
textarea#opportunities_content {
    height: 200px;
}
</style>
	<?php
} 


function solution_callback($post)
{
	$values = get_post_custom( $post->ID );
	$developing = get_post_meta( $post->ID, 'developing_content', false );
	$exploring = get_post_meta( $post->ID, 'exploring_content', false );
	$networking = get_post_meta( $post->ID, 'networking_content', false );
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Developing Entrepreneurship</label>
		<?php wp_editor(htmlspecialchars_decode($developing[0]), 'developing_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Exploring Local Resources</label>
			<?php wp_editor(html_entity_decode($exploring[0]), 'exploring_content');?>
	</p>
	<p style="background-color: #d0d0d0; padding: 5px 10px; color: #222; font-weight: bold; text-transform: uppercase;">
		<label style="font-size: 15px; line-height: 28px;">Networking with Stakeholders</label>
			<?php wp_editor(html_entity_decode($networking[0]), 'networking_content');?>
	</p>
	<style>
#developing_content_ifr {
    height: 200px !important;
}
#exploring_content_ifr{
    height: 200px !important;
}
#networking_content_ifr{
    height: 200px !important;
}
textarea#developing_content {
    height: 200px;
}
textarea#exploring_content {
    height: 200px;
}
textarea#networking_content {
    height: 200px;
}
</style>
	<?php
} 

add_action( 'save_post', 'cd_meta_box_save' );
function cd_meta_box_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	

	// Transformation
	if( 
    	isset( $_POST['tform_rightcontent'] ) )
		update_post_meta( $post_id, 'tform_rightcontent', esc_attr( $_POST['tform_rightcontent'] ) );
	if( 
    	isset( $_POST['tform_fullcontent'] ) )
		update_post_meta( $post_id, 'tform_fullcontent', esc_attr( $_POST['tform_fullcontent'] ) );
	
	if( 
    	isset( $_POST['team_desg'] ) )
		update_post_meta( $post_id, 'team_desg', esc_attr( $_POST['team_desg'] ) );
	
    if( 
    	isset( $_POST['holistic_content'] ) )
		update_post_meta( $post_id, 'holistic_content', esc_attr( $_POST['holistic_content'] ) );
	if( 
    	isset( $_POST['handholding_content'] ) )
		update_post_meta( $post_id, 'handholding_content', esc_attr( $_POST['handholding_content'] ) );
	if( 
    	isset( $_POST['intense_content'] ) )
		update_post_meta( $post_id, 'intense_content', esc_attr( $_POST['intense_content'] ) );

     if( 
    	isset( $_POST['purpose_content'] ) )
		update_post_meta( $post_id, 'purpose_content', esc_attr( $_POST['purpose_content'] ) );
	if( 
    	isset( $_POST['yojana_content'] ) )
		update_post_meta( $post_id, 'yojana_content', esc_attr( $_POST['yojana_content'] ) );
	if( 
    	isset( $_POST['support_content'] ) )
		update_post_meta( $post_id, 'support_content', esc_attr( $_POST['support_content'] ) );

	  if( 
    	isset( $_POST['developing_content'] ) )
		update_post_meta( $post_id, 'developing_content', esc_attr( $_POST['developing_content'] ) );
	if( 
    	isset( $_POST['exploring_content'] ) )
		update_post_meta( $post_id, 'exploring_content', esc_attr( $_POST['exploring_content'] ) );
	if( 
    	isset( $_POST['networking_content'] ) )
		update_post_meta( $post_id, 'networking_content', esc_attr( $_POST['networking_content'] ) );

	 if( 
    	isset( $_POST['economic_content'] ) )
		update_post_meta( $post_id, 'economic_content', esc_attr( $_POST['economic_content'] ) );
	if( 
    	isset( $_POST['skill_content'] ) )
		update_post_meta( $post_id, 'skill_content', esc_attr( $_POST['skill_content'] ) );
	if( 
    	isset( $_POST['opportunities_content'] ) )
		update_post_meta( $post_id, 'opportunities_content', esc_attr( $_POST['opportunities_content'] ) );

	if( 
    	isset( $_POST['grp_work'] ) )
		update_post_meta( $post_id, 'grp_work', esc_attr( $_POST['grp_work'] ) );
		if( 
    	isset( $_POST['thry_session'] ) )
		update_post_meta( $post_id, 'thry_session', esc_attr( $_POST['thry_session'] ) );
		if( 
    	isset( $_POST['num_subject'] ) )
		update_post_meta( $post_id, 'num_subject', esc_attr( $_POST['num_subject'] ) );

		if( isset( $_POST['compfile_one'] ) )
		update_post_meta( $post_id, 'compfile_one', esc_attr( $_POST['compfile_one'] ) );

   
}
?>
