<?php

function dj_posttype() {

  register_nav_menus(
    array(
      'primary-menu' => __( 'Primary Menu' ),
      'secondary-menu' => __( 'Secondary Menu' )
    )
  ); 
    register_post_type( 'gallery',
         array(
           'labels' => array(
            'name' => __( 'Gallery' ),
            'singular_name' => __( 'Gallery' ),

           ),
           'public' => true,
           'has_archive' => true,
           'rewrite' => array('slug' => 'gallery'),
           'supports' => array('title','thumbnail'),
           'menu_icon'           => 'dashicons-images-alt2'
          )
         );
       register_post_type( 'video',
        array(
            'labels' => array(
                'name' => __( 'Video' ),
                'singular_name' => __( 'Video' )
            ),
            'public' => true,
            'has_archive' => true,
            'supports' => array('title','thumbnail'),
            'menu_icon'   => 'dashicons-video-alt3',
            'rewrite' => array('slug' => 'video'),
        )
 );

   register_post_type( 'banner',
 
     array(
         'labels' => array(
             'name' => __( 'Banner' ),
             'singular_name' => __( 'Banner' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title','thumbnail'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'banner'),
       
     )
 );

   register_post_type( 'transformation',
 
     array(
         'labels' => array(
             'name' => __( 'Transformation' ),
             'singular_name' => __( 'Transformation' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title','thumbnail'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'transformation'),
       
     )
 );
      register_post_type( 'courses',
 
     array(
         'labels' => array(
             'name' => __( 'Course Module' ),
             'singular_name' => __( 'Course Module' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'courses'),
       
     )
 );
       register_post_type( 'curriculum',
 
     array(
         'labels' => array(
             'name' => __( 'Course Curriculum' ),
             'singular_name' => __( 'Course Curriculum' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title', 'editor'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'curriculum'),
       
     )
 );
      register_post_type( 'faq',
 
     array(
         'labels' => array(
             'name' => __( 'FAQ' ),
             'singular_name' => __( 'FAQ' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title', 'editor'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'faq'),
       
     )
 );
register_post_type( 'team',
 
     array(
         'labels' => array(
             'name' => __( 'Core Team' ),
             'singular_name' => __( 'Core Team' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title','thumbnail', 'editor'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'team'),
       
     )
 );
          register_post_type( 'sponsors',
        array(
            'labels' => array(
                'name' => __( 'Sponsors' ),
                'singular_name' => __( 'Sponsors' )
            ),
            'public' => true,
            'has_archive' => true,
            'supports' => array('title','thumbnail'),
            'menu_icon'   => 'dashicons-insert',
            'rewrite' => array('slug' => 'sponsors'),
        )
 );
          register_post_type( 'associate',
 
     array(
         'labels' => array(
             'name' => __( 'Associates' ),
             'singular_name' => __( 'Associates' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title','thumbnail', 'editor'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'associates'),
       
     )
 );
          register_post_type( 'report',
 
     array(
         'labels' => array(
             'name' => __( 'Report' ),
             'singular_name' => __( 'Report' )
         ),
         'public' => true,
       'has_archive' => false,
       'supports' => array('title'),
       'menu_icon'           => 'dashicons-insert',
         'rewrite' => array('slug' => 'report'),
       
     )
 );

}
 
add_action( 'init', 'dj_posttype' );

?>