<?php 
/*Template Name: Course*/
get_header();?>
<section>
	<div class="container">
		 <div class="row inner-heading-row">
               <div class="col-lg-12">
                  <div class="theme-heading-sec" data-aos="fade-up">
                      <h2>Course </h2>
                  </div>
               </div>
            </div>
            <div class="row tbl-row-sec">
              <div class="col-lg-12">
                 <div class="table-responsive">
                  <table class="table crs-table">
                  	<thead>
                   <tr>
                   	<th>Sl No.</th>
                     <th>Module Title</th>
                     <th>No. of Subject</th>
                     <th>Theory Session<th>
                     <th>Group Work</th>
                   </tr>
                   </thead>
                   	<tbody>
                   <?php
                   $i=1;
			$args = array( 'post_type' => 'courses', 'posts_per_page' =>-1, 'order' => 'ASC'  );
			$loop = new WP_query($args);
			if($loop->have_posts()) {
			while($loop->have_posts()) {
			$loop->the_post();
			?>
		
		            	 <tr>
		            	 	<td><?php echo $i;?></td>
                     <td><?php echo get_the_title();?></td>
                     <td><?php echo get_post_meta($post->ID,'num_subject',true);?></td>
                     <td><?php echo get_post_meta($post->ID,'thry_session',true);?><td>
                     <td><?php echo get_post_meta($post->ID,'grp_work',true);?></td>
                   </tr>
                   		 <?php $i++; } wp_reset_postdata();  } ?> 
                   		 <tr class="crs-tr"><td colspan="6"><a href="" class="crs-table-btn theme-btn hvr-bounce-to-right"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Download PDF</a></td></tr>
                   		 </tbody>
                  </table>
                            </div>
              </div>
            </div>

		<div class="row">	
          
			<div class="col-lg-8">
			<div class="courses-box">
				 
				 	 <div class="courses-title">
				 	 <h5>Need-based curriculum</h5></div>
				 	
				 	 <div class="courses-content">
				 	The curriculum for the course will be developed with great care taking into consideration the specific needs of the would-be entrepreneurs. A certain degree of competence in reading and writing English, finance and accounts management, digital communication and behavioural science will form an essential component of the programme. Besides, the trainees will also be provided with comprehensive knowledge about the various facets of entrepreneurship with a particular focus on potential areas in rural enterprise and the potential challenges in them. By the end of the training, the trainees will be expected to have a fairly in-depth idea of the rural ecosystem, locally available natural and human resources; government schemes under Atmanirbhar Bharat; the institutional support system available and public private partnership.


					The training programme will also help them understand the rural business environment, micro and small enterprises and government policies for them, identify and formulate projects and facilitate active interaction with key stakeholders.


					The course will be spread over 90 days: 60 days of classroom sessions and 15 days of field visit in
					phases. There will be a total of 120 classes, split into 74 theory classes and 46 case studies/group work, for 32 subjects under seven core areas.
				 	 </div>

				</div>
				 <div class="courses-box">
				 
				 	 <div class="courses-title">
				 	 <h5>Language based Handbooks</h5></div>
				 	
				 	 <div class="courses-content">
				 	Taking into consideration the ground realities, the medium of instruction will be Odia while the course materials will be bilingual. AASK will develop seven Handbooks in Odia covering all seven course modules and the 32 subjects under them. There will be Lesson Plans in Odia to bring greater clarity on the trainer, facilitator and trainee.
				 	 </div>

				</div>
				<div class="courses-box">
				 
				 	 <div class="courses-title">
				 	 <h5>Plentiful field visits</h5></div>
				 	
				 	 <div class="courses-content">
				 	 If lessons taught in the classroom are not backed by field visits, they tend to lose their meaning. Based on this belief, we propose to thrown in plenty of field visits for trainees to give them first-hand experience of how things they learnt in the classroom actually work on the ground; the problems that arise and the way they are solved. In fact, as many as 15 out of the 90 days of the course have been earmarked for field visits. But they will be spread over five phases corresponding to four of the seven thematic areas of the course: Introduction to Rural Entrepreneurship (3 days); Institutional Eco Systems for Promotion and Development of Rural Entrepreneurship (3 days); Micro & Small Rural Enterprises (4 days) and Rural Enterprise Incubation (5 days). The field visits will be meticulously planned to ensure that they add value to classroom teaching.
				 	 </div>

				</div>
				
				
		
			</div>
			 

			 <div class="col-lg-4">
			 	   <div id="accordion" class="accordion-sec">
               <h2>Course Curriculum</h2>

          <?php
   $s=1;
$args = array( 'post_type' => 'curriculum', 'posts_per_page' =>-1, 'order' => 'ASC'  );
$loop = new WP_query($args);
if($loop->have_posts()) {
while($loop->have_posts()) {
$loop->the_post();


?>
    <div class="card">
      <div class="card-header">
        <a class="card-link" data-toggle="collapse" href="#collapse<?php echo $s; ?>">
          <?php echo $s; ?>.<?php the_title(); ?>
        </a>
      </div>
      <div id="collapse<?php echo $s; ?>" class="collapse <?php echo ($s == 1) ? 'show' : ''; ?>" data-parent="#accordion">
        <div class="card-body">
          <p><?php the_content(); ?></p>
        </div>
      </div>
    </div>
 <?php $s++;} wp_reset_postdata();  } ?>    
            </div>
			 </div>
		</div>
	</div>
</section>

<?php get_footer();?>

