<!DOCTYPE html>
<html lang="or">
   <head>
      <title>Swabalambee Foundation - Entrepreneurship Development - AASK</title>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel="icon" href="assets/img/favicon2.png" type="image/x-icon"
      <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&amp;display=swap" rel="stylesheet">
      <link href="https://fonts.googleapis.com/css2?family=Barlow:wght@300;400;500;600;700&amp;display=swap" rel="stylesheet">
      <link rel="icon" type="image/jpg" href="<?php bloginfo('template_directory');?>/assets/img/fav.jpg" />
      <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/assets/css/bootstrap.min.css">
      <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/assets/css/owl.carousel.min.css">
      <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/assets/css/animate.min.css">
      <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/css/font-awesome.min.css">
      <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/assets/css/magnific-popup.css">
      <link href="<?php bloginfo('template_directory');?>/assets/css/hover.css" rel="stylesheet">
 <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/assets/css/jquery-ui.css">     
 <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/assets/css/aos.css">
       <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
      <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/mobile.css">
        <?php wp_head();?>
       
   </head>
   <body>

      <div id="preloader">
        <div id="status">
            <img src="<?php bloginfo('template_directory');?>/assets/img/preloader.gif" id="preloader_image">
        </div>
    </div>
   
      <section class="topbar-sec">
         <div class="container">
            <div class="row">
               <div class="call-wrapper">
                  <div class="topbar-icon-sec">
                     <img src="<?php bloginfo('template_directory');?>/assets/img/mobile-phone.svg" class="img-fluid" alt="phone-icon">
                  </div>
                  <div class="topbar-cont-dtls-sec">
                      <?php if(get_current_blog_id() == 1) { ?>
                     <span>Need help? Call us now :</span>
                       <?php } else { ?>
                       <span>ସାହାଯ୍ୟ ଦରକାର କି? ବର୍ତ୍ତମାନ ଆମକୁ କଲ କରନ୍ତୁ :</span>
                       <?php } ?>
                     <a href="tel:<?php echo esc_attr( get_option('aaskphone') ); ?>"><?php echo esc_attr( get_option('aaskphone') ); ?></a> <span>/</span>
                    <a href="tel:<?php echo esc_attr( get_option('aaskanotherp') ); ?>"><?php echo esc_attr( get_option('aaskanotherp') ); ?></a>
                  </div>
               </div>
               <div class="top-left-sec">
                  <div class="email-wrapper">
                     <span><i class="fa fa-envelope-o"></i></span><a href="mailto:<?php echo esc_attr( get_option('aaskemail') ); ?>"><?php echo esc_attr( get_option('aaskemail') ); ?></a>
                  </div>
                  <div class="zoom-sec">
                     <?php if(get_current_blog_id() == 1) { ?>
                     <a href="#" class="login-btn-sec"><i class="fa fa-user-circle"></i> Log In</a>
                     <?php } else { ?>
                       <a href="#" class="login-btn-sec"><i class="fa fa-user-circle"></i> ଲଗ୍ ଇନ</a>
                      <?php } ?>
                  </div>
                  <div class="request-quote-btn-sec">
                        <?php // global $post; ?>
            <?php // if(get_current_blog_id() == 1) { ?>
              <a href="<?php echo home_url(); // echo get_site_url(2); ?>/<?php // echo $post->post_name; ?>"> <img src="<?php bloginfo('template_directory');?>/assets/img/langod.png" class="img-fluid">Change to Odia</a>
            <?php // } else { ?>
             <!--  <a href="<?php // echo get_site_url(1); ?>/<?php echo $post->post_name; ?>"> <img src="<?php // bloginfo('template_directory');?>/assets/img/langod.png" class="img-fluid">ଇଂରାଜୀକୁ ପରିବର୍ତ୍ତନ କରନ୍ତୁ</a>
            <?php // } ?> -->
                   
                  </div>
               </div>
               <div class="mobile-top-bar">
                    <?php // global $post; ?>
                     <?php // if(get_current_blog_id() == 1) { ?>
                  <div class="mob-zoom-sec">

                     <a href="#" class="login-btn-sec"><i class="fa fa-user-circle"></i> Log In</a>
                  </div>
                  <div class="mob-request-quote-btn-sec"><a href="#"><i class="fa fa-user-circle"></i> Register</a></div>
                   <div class="mob-sec-lang">
                      
                       <a href="<?php echo home_url(); // echo get_site_url(2); ?>/<?php // echo $post->post_name; ?>" class="od-lang-swc"> <img src="<?php bloginfo('template_directory');?>/assets/img/langod.png" class="img-fluid">Change to Odia</a>
                  </div>
                <!--   <?php //} else { ?>
                 <div class="mob-zoom-sec">
                     <a href="#" class="login-btn-sec"><i class="fa fa-user-circle"></i> ଲଗ୍ ଇନ</a>
                  </div>
                  <div class="mob-request-quote-btn-sec"><a href="#"><i class="fa fa-user-circle"></i> ପଞ୍ଜିକରଣ</a></div>
                   <div class="mob-sec-lang">
                       <a href="<?php // echo get_site_url(1); ?>/<?php // echo $post->post_name; ?>"> <img src="<?php //bloginfo('template_directory');?>/assets/img/langod.png" class="img-fluid">ଇଂରାଜୀକୁ ପରିବର୍ତ୍ତନ କରନ୍ତୁ</a>                   
                  </div>
                     <?php // } ?> -->
               </div>
            </div>
         </div>
      </section>
      <div class="whatsapp-icon-sidebar">
         <div class="icon-sidebar">  <a href="https://wa.me/+91<?php echo esc_attr( get_option('aaskwhatsapp') ); ?>?text=I am Interested for Chat" target="_blank"> <i class="fa fa-whatsapp"></i></a></div>
      </div>
     
      <header id="header">
         <div class="container">
            <div class="row">
               <div class="theme-inner-header">
                  <a href="<?php echo home_url();?>" class="logo navbar-brand"><img src="<?php bloginfo('template_directory');?>/assets/img/logo.jpg" class="img-fluid" alt="logo"></a>
                  <nav class="nav-menu d-none d-lg-block">
                      <?php wp_nav_menu(array('theme_location' => 'primary-menu','container' => false)); ?>
                  </nav>
              

                  <!-- .nav-menu -->
               </div>
               <div class="mob-menu-area"></div>
            </div>
         </div>
      </header>
