(function($) {

    $(document).ready( function() {
        var file_frame; 
        
        $( '#frontend-button' ).on( 'click', function( event ) {
            event.preventDefault();
    
            if ( file_frame ) {
                file_frame.open();
                return;
            } 
    
            file_frame = wp.media.frames.file_frame = wp.media({
                title: "Upload Report",
                button: {
                    text: "Add Report",
                },

                'library': {type: 'application/pdf'},
                multiple: false 
            });
    
            file_frame.on( 'select', function() {
                attachment = file_frame.state().get('selection').first().toJSON();
                //console.log(attachment);
    
                
                $('#compfile_one').val(attachment.url);
                $('#showa').html(attachment.filename);

                console.log(attachment.url);
               
            });
    
            file_frame.open();
        });     
    });

})(jQuery);

