<?php

function theme_enqueue_scripts() {
    
    wp_enqueue_script( 'register-ajax', get_template_directory_uri() . '/inc/register-ajax.js', array('jquery'), null, true );
    wp_localize_script( 'register-ajax', 'frontendreg',
        array( 
            'ajaxurl' => admin_url( 'admin-ajax.php' )
        )
    );
}
add_action( 'wp_enqueue_scripts', 'theme_enqueue_scripts' );

add_action('wp_ajax_register_session','register_session'); 
add_action('wp_ajax_nopriv_register_session','register_session');

function register_session(){
    global $wpdb;    
    $crs_fee=$_POST['crs_fee'];
    $crs_select=$_POST['crs_select'];
    $crs_name=$_POST['crs_name'];
    $crs_email=$_POST['crs_email'];
    $crs_mobileno=$_POST['crs_mobileno']; 
    $crs_gender=$_POST['crs_gender'];   
    $crs_caste=$_POST['crs_caste'];   
    $crs_qualification=$_POST['crs_qualification'];   
    $crs_dist=$_POST['crs_dist'];
    $crs_address=$_POST['crs_address'];
    $razorpay_payment_id = $_POST['razorpay_payment_id'];
    $orderID = $_POST['orderID'];
    $cfees = $_POST['cfees'];
    

     $userdata = array(
                'user_login'    =>   trim($crs_email),
                'user_email'    =>   $crs_email,
                'first_name'    =>   $crs_name,             
                //'user_pass'     => wp_generate_password( 6, false ) //random password generate
                'role' => 'subscriber'
                );
             $user = wp_insert_user( $userdata );             
             add_user_meta( $user, 'CourseFee', $crs_fee);
             add_user_meta( $user, 'Course', $crs_select);
             add_user_meta( $user, 'Mobile', $crs_mobileno);
             add_user_meta( $user, 'Gender', $crs_gender);
             add_user_meta( $user, 'Caste', $crs_caste);
             add_user_meta( $user, 'Qualification', $crs_qualification);
             add_user_meta( $user, 'District', $crs_dist);
             add_user_meta( $user, 'CourseActualFee', $cfees); 
             add_user_meta( $user, 'orderID', $orderID); 
             add_user_meta( $user, 'RazorpayPaymentID', $razorpay_payment_id); 
             add_user_meta( $user, 'Address', $crs_address);    



                                echo 1;   

   //   if ( $user && !is_wp_error( $user ) ) {
            // echo 1;
            //      //echo '<div class="alert alert-success">Successfully Registered!</div>';
                
            // }
   
    die();
}




add_action('wp_ajax_checkemailexists','checkemailexists'); 
add_action('wp_ajax_nopriv_checkemailexists','checkemailexists');

function checkemailexists(){
    $email = $_POST['email'];
    if(email_exists($email)){
        echo 0;
    }
    else{
        echo 1;
    }
    die();
}

function admin_style() {
  wp_enqueue_style('admin-styles', get_template_directory_uri().'/assets/css/pop.css');
 
  wp_enqueue_script('admin-styles-js-pop', get_template_directory_uri().'/assets/js/pop.js', array(), '1.0.0', true);
  wp_localize_script( 'admin-styles-js-pop', 'backendajax',
        array( 
            'ajaxurl' => admin_url( 'admin-ajax.php' )
        )
    );
}
add_action('admin_enqueue_scripts', 'admin_style');


///////////// manage user column //////////

add_filter( 'wpmu_users_columns', 'my_awesome_new_column' );

add_action( 'manage_users_custom_column', 'my_awesome_column_data', 10, 3 );
function my_awesome_new_column( $columns ) {
    return my_awesome_add_element_to_array( $columns, 'my-awesome-column', 'Student Details', 'blogs' );
}

function my_awesome_column_data( $value, $column_name, $user_id ) {

   
    if ( 'my-awesome-column' == $column_name ) {
         $user_info = get_userdata($user_id);
       ?>
            <a href="javascript:void(0)" data-id="<?php echo $user_id; ?>" class="button action open-popup-link">View Details</a>
            <div id="test-popup" class="white-popup hidden">
             <span class="closes">X</span>
              <div class="showmes"></div>
            </div>
       <?php
    }

   
    return $value;
}

// Adds a new element in an array on the exact place we want (if possible).
function my_awesome_add_element_to_array( $original_array, $add_element_key, $add_element_value, $add_before_key ) {

    // This variable shows if we were able to add the element where we wanted
    $added = 0;

    // This will be the new array, it will include our element placed where we want
    $new_array = array();

    // We go through all the current elements and we add our new element on the place we want
    foreach( $original_array as $key => $value ) {

        // We put the element before the key we want
        if ( $key == $add_before_key ) {
            $new_array[ $add_element_key ] = $add_element_value;

            // We were able to add the element where we wanted so no need to add it again later
            $added = 1;
        }

        // All the normal elements remain and are added to the new array we made
        $new_array[ $key ] = $value;
    }

    // If we failed to add the element earlier (because the key we tried to add it in front of is gone) we add it now to the end
    if ( 0 == $added ) {
        $new_array[ $add_element_key ] = $add_element_value;
    }

    // We return the new array we made
    return $new_array;
}


add_action('wp_ajax_showusersgh','showusersgh'); 
add_action('wp_ajax_nopriv_showusersgh','showusersgh');

function showusersgh(){
    $id = $_POST['id'];
     
    $users = get_userdata( $id );

     ?>

       <table class="wp-list-table widefat fixed striped table-view-list">
           <thead>
             <tr>
               <th>Name</th>
               <th>Course</th>
               <th>Course Fee</th>
               <th>Order ID</th>
               <th>Payment ID</th>
            </tr>
            </thead>
            <tbody>
             <tr>
               <td><?php echo $users->display_name; ?></td>
               <td><?php echo get_user_meta( $id, 'Course', true); ?></td>
               <td>&#8377;<?php echo get_user_meta( $id, 'CourseActualFee', true); ?></td>
               <td><?php echo get_user_meta( $id, 'orderID', true); ?></td>
               <td><code><?php echo get_user_meta( $id, 'RazorpayPaymentID', true); ?></code></td>
            </tr>
            </tbody>
       </table>

     <?php

    die();
}